//============================================================================
// shaders for ut_oildepot, a Urban Terror map by codemadeflesh
//============================================================================

textures/codey_textures1/tanker_up
{
    qer_editorimage textures/codey_textures1/tanker_up_w.tga
    {
        map textures/codey_textures1/tanker_up_w.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
		rgbGen identity
		tcMod scroll -0.0014 0
    }
}

textures/codey_textures1/tanker_dn
{
    qer_editorimage textures/codey_textures1/tanker_dn_w.tga
    {
        map textures/codey_textures1/tanker_dn_w.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		depthWrite
		rgbGen identity
		tcMod scroll -0.0014 0
    }
}	



//============================================================================
// grates with see-through parts - soft in distance - no mipmap pixel flicker
//============================================================================

textures/codey_textures1/gunnebo1
{
	nopicmip
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	cull none
	sort 6
	{
		map textures/codey_textures1/gunnebo2.tga
		blendFunc GL_ZERO GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
    {
		map textures/codey_textures1/gunnebo1.tga
		rgbgen const ( 0.5 0.5 0.5 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}




//============================================================================
// windows - emitting a skyblue light, for indoor use
//============================================================================

textures/codey_textures1/cafe_window2_500
{ 
    qer_editorimage textures/codey_textures1/cafe_window1.tga
    q3map_lightRGB 0.671 0.835 1
    q3map_surfacelight 150
    q3map_backsplash 0 23
	{ 
		map $lightmap 
		rgbGen identity 
	} 
	{ 
		map textures/codey_textures1/cafe_window1.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		rgbGen identity 
	} 
	{
		map textures/codey_textures1/cafe_window3.jpg
		blendfunc GL_ONE GL_ONE 
	} 
}

textures/codey_textures1/h_off_win2 
{ 
    qer_editorimage textures/codey_textures1/h_off_win2.tga 
    q3map_lightRGB 0.671 0.835 1 
    q3map_surfacelight 150
    q3map_backsplash 0 23
	{ 
		map $lightmap 
		rgbGen identity 
	} 
	{ 
		map textures/codey_textures1/h_off_win2.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		rgbGen identity 
	} 
	{
		map textures/codey_textures1/h_off_win3.tga
		blendfunc GL_ONE GL_ONE 
	} 
}

//============================================================================
// windows - reflective, both enviroment and generic soft white, for outdoors
//============================================================================

textures/codey_textures1/cafe_window1
{
    {
        map textures/codey_textures1/cafe_window1.tga
    }
    {
        map textures/codey_textures1/cafe_env1.jpg
        tcGen environment
        rgbgen const ( 0.5 0.5 0.5 ) // for r_overbrightbits 0
        blendFunc GL_ONE GL_ONE 
    }
    { 
        map textures/codey_textures1/cafe_window1.tga
        rgbgen const ( 0.5 0.5 0.5 ) // for r_overbrightbits 0 
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen identity 
    }
}

textures/codey_textures1/h_off_win1
{
    {
        map textures/codey_textures1/h_off_win1.tga
    }
    {
        map textures/codey_textures1/cafe_env1.jpg
        tcGen environment
        rgbgen const ( 0.5 0.5 0.5 )
        blendFunc GL_ONE GL_ONE 
    }
    { 
        map textures/codey_textures1/h_off_win1.tga
        rgbgen const ( 0.5 0.5 0.5 ) 
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen identity 
    }
}



textures/codey_textures1/storage_win
{
    {
        map textures/codey_textures1/storage_win.tga
    }
    {
        map textures/codey_textures1/oilglas1.jpg
        tcGen environment
        blendFunc GL_ONE GL_ONE 
    }
    { 
        map textures/codey_textures1/storage_win.tga
        rgbGen const ( 0.5 0.5 0.5 ) 
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen identity
    }
}
